%define upstream_name    WWW-Search-Google
%define upstream_version 0.23

Name:		perl-%{upstream_name}
Version:	%perl_convert_version %{upstream_version}
Release:    %mkrel 11

Summary:	Search Google via SOAP
License:	GPL+ or Artistic
Group:		Development/Perl
URL:		https://metacpan.org/release/%{upstream_name}
Source0:	https://cpan.metacpan.org/modules/by-module/WWW/%{upstream_name}-%{upstream_version}.tar.bz2

BuildRequires:	perl(Net::Google) >= 0.52
BuildRequires:	perl(WWW::Search)
BuildArch:	noarch


%description
This class is a Google specialization of WWW::Search. It handles
searching Google https://www.google.com/ using its new SOAP API
https://www.google.com/apis/.

All interaction should be done through WWW::Search objects.

Note that you must register for a Google Web API account and have a
valid Google API license key before using this module.

This module reports errors via croak().

This module uses Net::Google to do all the dirty work.

%prep
%setup -q -n %{upstream_name}-%{upstream_version}

%build
%{__perl} Makefile.PL INSTALLDIRS=vendor
%make_build

%check
make test

%install
%make_install

%files
%doc CHANGES README
%{perl_vendorlib}/WWW
%{_mandir}/*/*


%changelog
* Thu Jun 26 2025 umeabot <umeabot> 0.230.0-11.mga10
+ Revision: 2201394
- Mageia 10 Mass Rebuild

* Sun Mar 20 2022 umeabot <umeabot> 0.230.0-10.mga9
+ Revision: 1806647
- Mageia 9 Mass Rebuild

* Wed Feb 12 2020 umeabot <umeabot> 0.230.0-9.mga8
+ Revision: 1498283
- Mageia 8 Mass Rebuild
+ wally <wally>
- replace deprecated %%makeinstall_std

* Wed Sep 19 2018 umeabot <umeabot> 0.230.0-8.mga7
+ Revision: 1272730
- Mageia 7 Mass Rebuild

* Sun Jun 19 2016 pterjan <pterjan> 0.230.0-7.mga6
+ Revision: 1035861
- Rebuild for perl 5.22.2

* Mon Feb 01 2016 umeabot <umeabot> 0.230.0-6.mga6
+ Revision: 929871
- Mageia 6 Mass Rebuild

* Wed Oct 15 2014 umeabot <umeabot> 0.230.0-5.mga5
+ Revision: 749084
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 0.230.0-4.mga5
+ Revision: 686864
- Mageia 5 Mass Rebuild

* Fri Oct 18 2013 umeabot <umeabot> 0.230.0-3.mga4
+ Revision: 515931
- Mageia 4 Mass Rebuild

* Sun Jan 13 2013 umeabot <umeabot> 0.230.0-2.mga3
+ Revision: 374805
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 26 2011 jquelin <jquelin> 0.230.0-1.mga1
+ Revision: 40777
- mageia rebuild
- imported package perl-WWW-Search-Google


* Tue Jul 28 2009 Jérôme Quelin <jquelin@mandriva.org> 0.230.0-1mdv2010.0
+ Revision: 401892
- rebuild using %%perl_convert_version

* Fri Aug 08 2008 Thierry Vignaud <tvignaud@mandriva.com> 0.23-2mdv2009.0
+ Revision: 268880
- rebuild early 2009.0 package (before pixel changes)

* Fri Apr 18 2008 Guillaume Rousse <guillomovitch@mandriva.org> 0.23-1mdv2009.0
+ Revision: 195563
- spec cleanup
- update to new version 0.23

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tvignaud@mandriva.com>
    - kill re-definition of %%buildroot on Pixel's request

* Wed May 09 2007 Oden Eriksson <oeriksson@mandriva.com> 0.22-4mdv2008.0
+ Revision: 25465
- rebuild

* Sun May 06 2007 Olivier Thauvin <nanardon@mandriva.org> 0.22-3mdv2008.0
+ Revision: 23567
- rebuild


* Fri Apr 28 2006 Nicolas Lécureuil <neoclust@mandriva.org> 0.22-2mdk
- Fix SPEC according to Perl Policy
	- BuildRequires
	- Source URL
- use mkrel

* Thu Jul 14 2005 Oden Eriksson <oeriksson@mandriva.com> 0.22-1mdk
- initial Mandriva package

